package com.cpp.web.domain.datafactory;

import com.baomidou.mybatisplus.annotation.TableName;
import com.cpp.common.annotation.Excel;
import com.cpp.common.core.domain.BaseEntity;
import com.cpp.web.domain.datafactory.enums.FileTypeEnum;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * 解析记录
 */
@Data
@TableName("cpp_parsing_log")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "cpp_parsing_log")
public class ParsingLog extends BaseEntity {

    /**
     * 主键ID
     */
    private String id;

    /**
     * 文件名
     */
    @Excel(name = "文件名")
    private String fileName;

    /**
     * 文件解析状态
     */
    @Excel(name = "文件解析状态1成功0失败")
    private String parsingFileStatus;

    /**
     * 文件解析状态描述
     */
    @Excel(name = "文件解析状态描述")
    private String parsingDescribe;

    /**
     * 解析时间
     */
    @Excel(name = "解析时间")
    private Date parsingTime;

    /**
     * 文件类型
     */
    @Excel(name = "文件类型")
    private FileTypeEnum fileType;
}
