package com.cpp.web.domain.datafactory;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.cpp.common.annotation.Excel;
import com.cpp.common.core.domain.BaseEntity;
import com.cpp.web.domain.datafactory.enums.FileTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 解析配置
 * <p>
 * Parse file
 *
 * @author tl
 * @version 1.0
 */
@Data
@TableName("cpp_parsing_type")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "cpp_parsing_type")
public class ParsingType extends BaseEntity {

    /**
     * 主键ID
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "主键ID")
    private Long id;

    /**
     * 识别文件名标识
     */
    @ApiModelProperty(value = "文件名")
    private String fileName;

    /**
     * 文件类型
     */
    @ApiModelProperty(value = "文件类型")
    private FileTypeEnum fileType;


}
