package com.cpp.web.domain.station;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.cpp.common.core.domain.BaseEntity;
import com.cpp.web.domain.BaseCppEntity;
import com.cpp.web.domain.station.enums.EquipmentTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.Date;


/**
 * cpp_inverter_info
 *
 * @author tl
 * @date 2024-09-23 15:28:33
 */
@Data
@TableName("cpp_inverter_info")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "cpp_inverter_info")
public class InverterInfo extends BaseCppEntity {

    public InverterInfo() {
        this.setEquipmentType(EquipmentTypeEnum.INVERTER.getCode());
    }


    /**
     * 设备类型
     */
    @ApiModelProperty(value = "设备类型")
    private Integer equipmentType;


    /**
     * 名称
     */
    @ApiModelProperty(value = "名称")
    private String name;


    /**
     * 制造商
     */
    @ApiModelProperty(value = "制造商")
    private String manufacturer;


    /**
     * 型号
     */
    @ApiModelProperty(value = "型号")
    private String modelNumber;


    /**
     * 安装时间
     */
    @ApiModelProperty(value = "安装时间")
    private Date installationTime;


    /**
     * 入库时间间隔  单位 s
     */
    @ApiModelProperty(value = "入库时间间隔  单位 s")
    private Integer timeInterval;


    /**
     * 设备编号
     */
    @ApiModelProperty(value = "设备编号")
    private String equipmentNo;


    /**
     * 是否组串式 1:是 0:不是
     */
    @ApiModelProperty(value = "是否组串式 1:是 0:不是")
    private String groupSeries;


    /**
     * 逆变器效率
     */
    @ApiModelProperty(value = "逆变器效率")
    private BigDecimal efficiency = new BigDecimal(-99);


    /**
     * 额定功率
     */
    @ApiModelProperty(value = "额定功率")
    private BigDecimal capacity = new BigDecimal(-99);


    /**
     * 集电线路
     */
    @ApiModelProperty(value = "集电线路")
    private String collectorCircuit;


    /**
     * 逆变器是否样板机 1:是 0:不是
     */
    @ApiModelProperty(value = "逆变器是否样板机 1:是 0:不是")
    private String sample;
    /**
     * 绑定数据采集通道
     */
    @ApiModelProperty(value = "绑定数据采集通道")
    private String bindTunnel;

}
