package com.cpp.web.service.datafactory;


import com.cpp.web.domain.datafactory.BaseParsing;
import com.cpp.web.domain.datafactory.dto.ParsingConfParam;
import com.cpp.web.utils.FieldUtil;
import com.cpp.web.utils.PUtil;

import java.math.BigDecimal;
import java.text.SimpleDateFormat;
import java.util.List;

/**
 * 解析业务层总接口
 *
 * @author tl
 * @date 2022-05-11 09:51:21
 */
public interface ParsingInterface {

    boolean save(BaseParsing baseParsing);

    boolean deleteById(Long id);

//    FileAnalysisStatusDto parsing(File file, ParsingUrl parsingUrl);


    default Long parsingTime(String sign, List<String> fileContent) {
        Long time = 0l;
        try {
            ParsingConfParam config = FieldUtil.getConfig(sign);
            String s = fileContent.get(Integer.parseInt(config.getLineNumber()) - 1);
            int signIndex = s.indexOf(config.getDataSign());
            String result;
            if (signIndex > 0) {
                int startLength = config.getDataSign().length() + signIndex + 1;
                int length = config.getFormat().length();
                if (String.valueOf(s.charAt(startLength + 1)).equals("'")) {
                    startLength += 1;
                }
                result = s.substring(startLength, startLength + length);

                SimpleDateFormat simpleDateFormat = new SimpleDateFormat(config.getFormat());

                time = simpleDateFormat.parse(result).getTime();
            }

        } catch (RuntimeException e) {
            e.printStackTrace();
        } finally {
            return time;
        }

    }


    default BigDecimal parsingValue(String sign, List<String> fileContent) {

        BigDecimal value = new BigDecimal(-99);
        try {
            if (sign != null && !sign.equals("")) {
                ParsingConfParam config = FieldUtil.getConfig(sign);

                String s = fileContent.get(Integer.parseInt(config.getLineNumber()) - 1);

                String[] strings = PUtil.splitLineWithSpace(s);
                int rowNumber = Integer.parseInt(config.getRowNumber()) - 1;
                String result = strings[rowNumber];
                value = new BigDecimal(result);
            }
        } catch (RuntimeException e) {
            e.printStackTrace();
        } finally {
            return value;
        }
    }


    default String parsingStatus(String sign, List<String> fileContent) {
        String status = null;
        try {
            if (sign != null&&!sign.equals("")) {
                ParsingConfParam config = FieldUtil.getConfig(sign);

                String s = fileContent.get(Integer.parseInt(config.getLineNumber()) - 1);

                String[] strings = PUtil.splitLineWithSpace(s);
                int rowNumber = Integer.parseInt(config.getRowNumber()) - 1;
                status = strings[rowNumber];
            }
        } catch (RuntimeException e) {
            e.printStackTrace();
        } finally {
            return status;
        }
    }


    default String parsingName(String sign, List<String> fileContent) {

        String name = "";
        try {
            if (sign != null && !sign.equals("")) {
                ParsingConfParam config = FieldUtil.getConfig(sign);

                String s = fileContent.get(Integer.parseInt(config.getLineNumber()) - 1);

                String[] strings = PUtil.splitLineWithSpace(s);
                int rowNumber = Integer.parseInt(config.getRowNumber()) - 1;
                name = strings[rowNumber];
            }
        } catch (RuntimeException e) {
            e.printStackTrace();
        } finally {
            return name;
        }
    }



}
