package com.cpp.web.service.datafactory.impl;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.cpp.web.domain.datafactory.BaseParsing;
import com.cpp.web.domain.datafactory.ParsingQxz;
import com.cpp.web.mapper.datafactory.ParsingQxzMapper;
import com.cpp.web.service.datafactory.ParsingInterface;
import com.cpp.web.service.datafactory.ParsingQxzService;
import com.cpp.web.service.station.WeatherStationInfoService;
import com.cpp.web.service.station.WeatherStationStatusDataService;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.io.File;
import java.util.Date;
import java.util.List;

/**
 * 气象站解析业务层实现类
 *
 * @author tl
 * @date 2022-05-11 18:07:03
 */
@Service
@Slf4j
@AllArgsConstructor
@Transactional
public class ParsingQxzServiceImpl extends ServiceImpl<ParsingQxzMapper, ParsingQxz> implements ParsingQxzService, ParsingInterface {


    private final Long intervalTime = 300000L;

    private final WeatherStationStatusDataService weatherStationStatusDataService;

    private final WeatherStationInfoService weatherStationInfoService;

    @Override
    public boolean save(BaseParsing parsingInfo) {
        return save((ParsingQxz) parsingInfo);
    }

    @Override
    public boolean deleteById(Long id) {
        return removeById(id);
    }
//
//    @Override
//    public FileAnalysisStatusDto parsing(File file, ParsingUrl parsingUrl) {
//        FileAnalysisStatusDto fileAnalysisStatusDto = new FileAnalysisStatusDto();
//        fileAnalysisStatusDto.setFileName(file.getName());
//        fileAnalysisStatusDto.setFileType(FileTypeEnum.QXZ.getCode()+"");
//        try {
//
//            List<ParsingQxzInfo> parsingQxzInfos = baseMapper.selectList(Wrappers.lambdaQuery(ParsingQxzInfo.class).like(ParsingInfo::getStationCode, parsingUrl.getStationCode()));
//            if (parsingQxzInfos.size() > 0) {
//                List<WeatherStationInfo> weatherStationInfoList = weatherStationInfoService.list(Wrappers.lambdaQuery(WeatherStationInfo.class)
//                        .eq(WeatherStationInfo::getStationCode, parsingUrl.getStationCode()));
//                if (weatherStationInfoList.size() > 0) {
//                    List<String> fileContent = FileUtil.getFileContent(file);
//                    for (ParsingQxzInfo parsingQxzInfo : parsingQxzInfos) {
//                        //判断文件名是否符合配置
//                        if (file.getName().indexOf(parsingQxzInfo.getFileName()) >= 0) {
//                            if (parsingQxzInfo.getDataType().equals(FieldUtil.SINGLE)) {
//                                Long time = parsingTime(parsingQxzInfo.getTime(), fileContent);
//                                if (time != 0L) {
//                                    WeatherStationStatusData w = new WeatherStationStatusData();
//                                    w.setTime(new Date(time));
//                                    w.setAirT(parsingValue(parsingQxzInfo.getAirT(), fileContent));
//                                    w.setCellT(parsingValue(parsingQxzInfo.getCellT(), fileContent));
//                                    w.setDiffuseR(parsingValue(parsingQxzInfo.getDiffuseR(), fileContent));
//                                    w.setDiffuseRDA(parsingValue(parsingQxzInfo.getDiffuseRDA(), fileContent));
//                                    w.setDirectR(parsingValue(parsingQxzInfo.getDirectR(), fileContent));
//                                    w.setDirectRDA(parsingValue(parsingQxzInfo.getDirectRDA(), fileContent));
//                                    w.setGlobalR(parsingValue(parsingQxzInfo.getGlobalR(), fileContent));
//                                    w.setGlobalRDA(parsingValue(parsingQxzInfo.getGlobalRDA(), fileContent));
//                                    w.setHourDA(parsingValue(parsingQxzInfo.getHourDA(), fileContent));
//                                    w.setObliqueR(parsingValue(parsingQxzInfo.getObliqueR(), fileContent));
//                                    w.setObliqueRDA(parsingValue(parsingQxzInfo.getObliqueRDA(), fileContent));
//                                    w.setP(parsingValue(parsingQxzInfo.getP(), fileContent));
//                                    w.setRh(parsingValue(parsingQxzInfo.getRh(), fileContent));
//                                    w.setWd(parsingValue(parsingQxzInfo.getWd(), fileContent));
//                                    w.setWs(parsingValue(parsingQxzInfo.getWs(), fileContent));
//                                    w.setStatus(parsingStatus(parsingQxzInfo.getStatus(), fileContent));
//                                    w.setStationCode(parsingQxzInfo.getStationCode());
//                                    w.setEquipmentId(weatherStationInfoList.get(0).getEquipmentNo());
//                                    weatherStationStatusDataService.save(w);
//                                    fileAnalysisStatusDto.setStatus("1");
//                                    log.info("解析QXZ文件：{} 成功！ O(∩_∩)O", file.getName());
//                                } else {
//                                    fileAnalysisStatusDto.setStatus("0");
//                                    fileAnalysisStatusDto.setMessage("解析气象站文件时间错误");
//                                    log.error("解析QXZ文件时间错误");
//                                }
//                            } else {
//                                fileAnalysisStatusDto.setStatus("0");
//                                fileAnalysisStatusDto.setMessage("气象站暂无多行解析方式");
//                                log.info("qxz暂无多行解析方式");
//                            }
//                        }
//                    }
//                } else {
//                    fileAnalysisStatusDto.setStatus("0");
//                    fileAnalysisStatusDto.setMessage("气象站未配置作为解析使用设备");
//                    log.info("qxz未配置作为解析使用设备");
//                }
//            }
//        } catch (Exception e) {
//            fileAnalysisStatusDto.setStatus("0");
//            fileAnalysisStatusDto.setMessage("解析气象站数据失败！");
//            log.error("解析气象站数据失败！ /(ㄒoㄒ)/~~", e);
//        } finally {
//            return fileAnalysisStatusDto;
//        }
//    }
}
